Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:        general purpose programming language 
Name:      	lua
Version:   	5.1.3
Release:   	1
Epoch:		1
License: 	MIT
URL:	        http://www.lua.org/	
Group:          Development/Languages
Source0:        http://www.lua.org/ftp/lua-%{version}.tar.gz
Patch0:		lua-5.1.3-autotoolize.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides:	liblua.so liblualib.so
BuildRequires:  readline-devel ncurses-devel

%description
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains development files for %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch0 -p1 -E -z .autoxxx
# fix perms on auto files
chmod u+x autogen.sh config.guess config.sub configure depcomp install-sh missing

%build
%configure --with-readline
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# hack so that only /usr/bin/lua gets linked with readline as it is the
# only one which needs this and otherwise we get License troubles
make %{?_smp_mflags} LIBS="-ldl" luac_LDADD="liblua.la -lm -ldl"
# also remove readline from lua.pc
sed -i 's/-lreadline -lncurses //g' etc/lua.pc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/lua/5.1
mkdir -p $RPM_BUILD_ROOT%{_datadir}/lua/5.1

%files
%defattr(-,root,root,-)
%doc COPYRIGHT HISTORY README doc/*.html doc/*.css doc/*.gif doc/*.png
%{_bindir}/lua*
%{_libdir}/liblua-*.so
%{_mandir}/man1/lua*.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/l*.h
%{_includedir}/l*.hpp
%{_libdir}/liblua.so
#%{_libdir}/liblua.a
#%{_libdir}/liblua.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.1.3-1
- Version update
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 5.1.2-1
- Version update
* Thu Dec 28 2006 Stefan Gottwald <gotti@ccux-linux.de> 5.0.3-1
- Version downgrade
* Wed Jun 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.1.1-1
- Version update
* Sat Apr 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.1-1
- Initial Release
